--- title: "Export" slug: "analytics-cloudloganalytics-exportlogs" tags: ["Cloud Log Analytics"] updated: 2026-10-08T04:24:24Z published: 2026-10-08T04:24:24Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-exportlogs" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Export Available in Classic and VPC Export logs queried in the Cloud Log Analytics service to Object Storage. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/{regionCode}-v1/logs/search/export | ### Request headers For information about the request headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` \| `uswn` \| `den` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region - `uswn`: US West Region - `den`: Germany Region | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketname` | String | Required | Object Storage's bucket name - See [Get bucket list](/docs/en/analytics-cloudloganalytics-getbucketlist). | | `keyword` | String | Optional | Query keyword - Search all (default). | | `logTypes` | String | Optional | Log type - Search all (default). - Example: `SYSLOG`, `security_log`, `tomcat` | | `timestampFrom` | String | Optional | Query start date and time - `now-1h` (default) - Unix timestamp format (ms). - Example: 1720828861000. | | `timestampTo` | String | Optional | Query end date and time - `now` (default) - Unix timestamp format. - Example: 1720828861000. | | `regionNo` | Integer | Optional | Region number | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/logs/search/export' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'Accept: application/json' \ -date '{ "bucketname": "asdcx" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Boolean | - | Response result - `true` \| `false` - `true`: Succeeded - `false`: Failed | ### Response status codes For information about the response status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": true } ```